/* hifi_packet.c */
void hifi_me(Byte class, Byte unit);
void *hifi_open(Byte class, Byte unit);
Byte *hifipkt_dword(Byte *buf, Word *w);
int hifi_send(void *c, void *buf, int len);
int hifi_recv(void *c, void *buf, int len);
Byte *hifi_getbuf(void);
void hifi_freebuf(Byte *buf);
Byte *hifipkt_ebyte(Byte *buf, Byte b);
Byte *hifipkt_dbyte(Byte *buf, Byte *b);
Byte *hifipkt_ddword(Byte *buf, DWord *w);
Byte *hifipkt_dsdword(Byte *buf, SDWord *w);
Byte *hifipkt_edword(Byte *buf, DWord w);
Byte *hifipkt_esdword(Byte *buf, SDWord w);
Byte *hifipkt_eword(Byte *buf, Word w);
Byte *hifipkt_eaddress(Byte *buf, Byte class, Byte unit);
Byte *hifipkt_daddress(Byte *buf, Byte *class, Byte *unit);
Byte *hifipkt_new_rel(Byte *buf, Byte class, Byte unit, Byte dclass, Byte dunit);
Byte *hifipkt_new(Byte *buf, Byte class, Byte unit, Byte dclass, Byte dunit);
Byte *hifipkt_new_brd(Byte *buf, Byte class, Byte unit);
Byte *hifipkt_ecmd(Byte *buf, Word command);
Byte *hifipkt_est(Byte *buf, Word status);
Byte *hifipkt_eeof(Byte *buf);
void hifipkt_elen(Byte *ptr, Word len);
int hifi_cmd(void *m, Byte class, Byte unit, Byte dclass, Byte dunit, Word cmd);
int hifi_cmd_rel(void *m, Byte class, Byte unit, Byte dclass, Byte dunit, Word cmd);
void hifi_new_packet(void *m, Byte *data, int len, void (*callback)(Byte, Byte, Byte, Byte, Word, Byte *, Word));
Byte *hifipkt_eradio_frequency(Byte *ptr, Hifi_Radio_Frequency f);
Byte *hifipkt_dradio_frequency(Byte *ptr, Hifi_Radio_Frequency *f);
Byte *hifipkt_etuner_state(Byte *ptr, Hifi_Tuner_State s);
Byte *hifipkt_dtuner_state(Byte *ptr, Hifi_Tuner_State *s);
